# Rails Bundle

This bundle contains two rails deployments, a "single" deployment that deploys

- One [Rails charm](http://jujucharms.com/precise/rails)
- One [PostgreSQL charm](http://jujucharms.com/precise/postgresql)

and a multi instance scalable bundle intended for large scale deployment that deploys:

- One [Rails charm](http://jujucharms.com/precise/rails)
- One [PostgreSQL charm](http://jujucharms.com/precise/postgresql)
- One [HAProxy charm](http://jujucharms.com/precise/haproxy)
- Two [Logstash charms](http://jujucharms.com/precise/logstash), one indexer and one agent
- One [Kibana charm](http://jujucharms.com/precise/kibana)
- One [Nagios charm](http://jujucharms.com/precise/nagios)
- One [NRPE charm](http://jujucharms.com/precise/nrpe)
- One [Memcached charm](http://jujucharms.com/precise/memcached)
- One [Redis charm](http://jujucharms.com/precise/redis-master)


## Usage

To deploy the single bundle:

     juju-quickstart bundle:rails/example-single

This bundle deploys a "sample-app" as mentioned in the [Rails charm](http://jujucharms.com/precise/rails)] README. 
You can modify the charm to use your application by following the instructions in that document.

## Scale out Usage

For the scalable bundle:

    juju-quickstart bundle:rails/example-scalable

This bundle deploys a "sample-app" as mentioned in the [Rails charm](http://jujucharms.com/precise/rails)] README. 
You can modify the charm to use your application by following the instructions in that document.

You can horizontally scale any of the services included in the bundle, since the sample-app is already behind a load 
balancer you can scale out the rails app via:

    juju add-unit sample-app

Check the [PostgreSQL charm](http://jujucharms.com/precise/postgresql) README for instructions on scaling out the 
database layer.
